curl --request POST \
--url https://api.kanarie.xyz/api/v1/projects/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search_type": "name",
"queries": [
"Jupiter",
"Raydium"
]
}
'{
"success": true,
"error": null,
"projects": [
{
"project_id": 1,
"project_name": "Jupiter",
"symbol": "JUP",
"market_cap": 1200000000
}
],
"metadata": {
"search_type": "name",
"queries": [
"Jupiter"
],
"total_results": 1
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Projects
Search projects
Search crypto projects with a JSON body. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
projects
/
search
curl --request POST \
--url https://api.kanarie.xyz/api/v1/projects/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search_type": "name",
"queries": [
"Jupiter",
"Raydium"
]
}
'{
"success": true,
"error": null,
"projects": [
{
"project_id": 1,
"project_name": "Jupiter",
"symbol": "JUP",
"market_cap": 1200000000
}
],
"metadata": {
"search_type": "name",
"queries": [
"Jupiter"
],
"total_results": 1
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Available options:
name, symbol, address, semantic, project_id Required array length:
1 - 15 elementsRequired range:
1 <= x <= 25Available options:
developments, recent_content, technical_analysis, market_data, mindshare, detailed_description, metadata Required range:
1 <= x <= 10Required range:
1 <= x <= 25Required range:
1 <= x <= 30Was this page helpful?